Crystal Space: csGradientShade Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGradientShade Struct Reference

An entry in an iGradient gradient. More...

`#include <ivaria/gradient.h>`

List of all members.

## Public Member Functions
| csGradientShade (const csColor &color, float pos)
| Construct using a color and position.
| csGradientShade (const csColor4 &color, float pos)
| Construct using a color and position.
| csGradientShade (const csColor &left_color, const csColor &right_color, float pos)
| Construct supplying all values.
| csGradientShade (const csColor4 &left_color, const csColor4 &right_color, float pos)
| Construct supplying all values.
| csGradientShade ()
| Construct with all values set to 0.
bool | operator== (const csGradientShade &other)
## Public Attributes
csColor4 | left
| Color of the left side.
float | position
| Position in the gradient.
csColor4 | right
| Color of the right side.

## Detailed Description

An entry in an iGradient gradient.

Definition at line 36 of file gradient.h.

## Constructor & Destructor Documentation

csGradientShade::csGradientShade | ( |  | ) | `[inline]`

Construct with all values set to 0.

Definition at line 46 of file gradient.h.

csGradientShade::csGradientShade | ( | const csColor4 & | left_color,
|  | const csColor4 & | right_color,
|  | float | pos |
| ) |  |  | `[inline]`

Construct supplying all values.

Definition at line 50 of file gradient.h.

csGradientShade::csGradientShade | ( | const csColor & | left_color,
|  | const csColor & | right_color,
|  | float | pos |
| ) |  |  | `[inline, explicit]`

Construct supplying all values.

Definition at line 53 of file gradient.h.

csGradientShade::csGradientShade | ( | const csColor4 & | color,
|  | float | pos |
| ) |  |  | `[inline]`

Construct using a color and position.

Both left and right will have the value of color.

Definition at line 61 of file gradient.h.

csGradientShade::csGradientShade | ( | const csColor & | color,
|  | float | pos |
| ) |  |  | `[inline, explicit]`

Construct using a color and position.

Both left and right will have the value of color.

Definition at line 67 of file gradient.h.

## Member Data Documentation

csColor4 csGradientShade::left

Color of the left side.

Definition at line 39 of file gradient.h.

Referenced by operator==().

float csGradientShade::position

Position in the gradient.

Definition at line 43 of file gradient.h.

Referenced by operator==().

csColor4 csGradientShade::right

Color of the right side.

Definition at line 41 of file gradient.h.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- ivaria/gradient.h